# HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup<U>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup<U>

- Type Parameters:
    `U` -
  Enclosing class:
    HierarchyWizardModelGrouping<T>

      public static class HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup<U>
      extends java.lang.Object

  This class represents a group.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AggregateFunction<U>` | `function` Var.
    `int` | `size` Var.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup(HierarchyBuilderGroupingBased.Group<U> group)`
    `HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup(int size, AggregateFunction<U> function)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### size

          public int size

      Var.

    - #### function

          public AggregateFunction<U> function

      Var.

  - ### Constructor Detail

    - #### HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup

          public HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup(HierarchyBuilderGroupingBased.Group<U> group)

      Parameters:
        `group` -

    - #### HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup

          public HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup(int size,
                                                                   AggregateFunction<U> function)

      Parameters:
        `size` -
        `function` -